# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{
  imports = [
    ./hardware-configuration-void.nix
    ./common.nix
  ];

  networking.hostName = "void"; # Define your hostname.

  services.samba = {
    enable = true;
    openFirewall = true;
    securityType = "user";
    extraConfig = ''
      workgroup = WORKGROUP
      server string = void
      netbios name = void
      security = user
      hosts allow = 0.0.0.0/0
      guest account = nobody
      map to guest = bad user
      log level = 4
      #smb encrypt = mandatory
    '';
    shares."Music" = {
      path = "/pile/Music";
      browsable = "yes";
      "read only" = "yes";
      "guest ok" = "no";
      "read list" = "@music";
    };
  };

  users.users.music = {
    group = "music";
    isNormalUser = true;
  };
}
